Installer - Bug #19550

Set SSL username when supplied from the client
05/15/2017 03:55 PM - Stephen Benjamin

Status: Closed

Priority: Normal
Assignee: Marek Hulén
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1449088 Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/564

Description
Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1449088

Description of problem:

After updating Satellite from 6.2.8 to 6.2.9.

We can no longer log in to the Satellite WEB-UI using Single Sign On with our smart cards.
We have located the source to our problem in /etc/httpd/conf.d/05-foreman-ssl.d/katello.conf

BugZilla 1367162 limits the URL scope of how the Apache webserver handles a SSL username supplied from the client. This change
in katello.conf breaks the method of how we log in to the Satellite WEB-UI using our smart cards.

Detailed info
https://bugzilla.redhat.com/show_bug.cgi?id=1367162

--- /etc/httpd/conf.d/05-foreman-ssl.d/katello.conf  2016-11-02 09:22:48.308639320 0100
++ /tmp/puppet-file20170502-25928-101m160 2017-05-02 09:30:58.026811503 +0200
@ -3,7 +3,9 @ # CHANGES WILL LIKELY BE OVERWRITTEN. #

-SSLUsername SSL_CLIENT_S DN_CN
<Location /pulp/api>

SSLUsername SSL_CLIENT_S DN_CN
+</Location>

Alias /pub /var/www/html/pub
&1lt; Location /pubs&gt;

Can a broader URL scope (Location) that includes the login URL be applied or alternatively find another solution.
Customer got it working by changing these lines in /etc/httpd/conf.d/05-foreman-ssl.d/katello.conf

Removed this section
#<Location /pulp/api>

1. SSLUsername SSL_CLIENT_S DN_CN
#</Location>

Added this section

<LocationMatch /pulp/api|/users/extlogin>
SSLUsername SSL_CLIENT_S DN_CN
</LocationMatch>

Version-Release number of selected component (if applicable):
Satellite 6.2.9

Actual results:
Smart card SSO not working after the change.

05/20/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1449088
https://bugzilla.redhat.com/show_bug.cgi?id=1367162

Expected results:
Smart card SSO working after upgrade.

Additional info:

Associated revisions

Revision b50b7eb6 - 06/02/2017 05:53 AM - Marek Hulan

Fixes #19550 - support smart card certificates

History

#1 - 05/15/2017 03:56 PM - Stephen Benjamin
- Project changed from Foreman to Installer

- Subject changed from Set SSL username when supplied from the client
to Set SSL username when supplied from the client

- Category set to Foreman modules

Is this something that makes sense to do in puppet-foreman?

#2 - 05/16/2017 03:23 AM - Dominic Cleal
- Project changed from Installer to Katello

- Category deleted (Foreman modules)

#3 - 05/16/2017 02:00 PM - Ewoud Kohl van Wijngaarden

While this was an accidental feature, wouldn't Foreman support this too if we add an additional location?

#4 - 05/17/2017 02:34 PM - Justin Sherrill

- Project changed from Katello to Foreman

yes, i think that was stbenjam's question,if we should just fix it in puppet-foreman, but i guess it was moved back to katello without much discussion
due to the confusing description.

#5 - 05/24/2017 05:01 AM - Marek Hulan
- Project changed from Foreman to Installer

- Category set to Foreman modules

| agree, it makes sense to add it to Foreman module, therefore it belongs to Foreman installer.

#6 - 05/24/2017 05:02 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Marek Hulan

- Pull request https://github.com/theforeman/puppet-foreman/pull/564 added

#7 - 06/02/2017 06:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset puppet-foreman|b50b7eb66e980b3395ebfca0894e39ea2e774095.
